summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Andrew Psaltis <ampsaltis@gmail.com>2010-05-11 22:53:11 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-11 22:53:11 +0200
commitbfbd851088804fd73d7c06ff49ae098c03339072 (patch)
tree772a0118042a36cfad6e222eeadb348baaf99ece /audio
parenta00440277105011ccf9e069032b670a552c3ee00 (diff)
downloadslackbuilds-bfbd851088804fd73d7c06ff49ae098c03339072.tar.gz
slackbuilds-bfbd851088804fd73d7c06ff49ae098c03339072.tar.xz
audio/moodbar: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/moodbar/README12
-rw-r--r--audio/moodbar/moodbar-0.1.2-glib.patch12
-rw-r--r--audio/moodbar/moodbar.SlackBuild104
-rw-r--r--audio/moodbar/moodbar.info8
-rw-r--r--audio/moodbar/slack-desc19
5 files changed, 155 insertions, 0 deletions
diff --git a/audio/moodbar/README b/audio/moodbar/README
new file mode 100644
index 0000000000..1edb396719
--- /dev/null
+++ b/audio/moodbar/README
@@ -0,0 +1,12 @@
+This package provides moodbar functionality for Amarok. It is written as a
+plugin for GStreamer. It attempts to provide a visual representation of your
+music so that you can pinpoint where you can find something "interesting."
+
+For more information, check out http://amarok.kde.org/wiki/Moodbar
+
+This package requires GStreamer, GStreamer plugins for any media formats that
+you wish to analyze, and a single-precision fftw library. All of these can be
+found on SlackBuilds.org.
+
+To enable moodbars in Amarok, select the "Use moods" option in the general
+preferences.
diff --git a/audio/moodbar/moodbar-0.1.2-glib.patch b/audio/moodbar/moodbar-0.1.2-glib.patch
new file mode 100644
index 0000000000..53398287d7
--- /dev/null
+++ b/audio/moodbar/moodbar-0.1.2-glib.patch
@@ -0,0 +1,12 @@
+--- moodbar-0.1.2-old/analyzer/main.c 2007-06-21 18:43:57.000000000 -0400
++++ moodbar-0.1.2/analyzer/main.c 2007-06-21 18:40:46.000000000 -0400
+@@ -262,6 +262,9 @@
+ GOptionContext *ctx;
+ GError *err = NULL;
+
++ /* Must be called before other glib stuff is called */
++ if (!g_thread_supported ()) g_thread_init(NULL);
++
+ ctx = g_option_context_new ("[INFILE] - Run moodbar analyzer");
+ g_option_context_add_group (ctx, gst_init_get_option_group ());
+ g_option_context_add_main_entries (ctx, entries, NULL);
diff --git a/audio/moodbar/moodbar.SlackBuild b/audio/moodbar/moodbar.SlackBuild
new file mode 100644
index 0000000000..c05ba30255
--- /dev/null
+++ b/audio/moodbar/moodbar.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for moodbar
+
+# Copyright 2008 Andrew Psaltis <ampsaltis@gmail.com>
+# All rights reserved.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by SlackBuilds.org
+
+set -e
+
+DOCS="AUTHORS COPYING INSTALL NEWS README TODO"
+
+PRGNAM=moodbar
+VERSION=0.1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case $ARCH in
+ i[456]86)
+ SLKCFLAGS="-O2 -march=$ARCH -mtune=i686"
+ SLKLDFLAGS="" ; LIBDIRSUFFIX=""
+ ;;
+ s390) # Maybe you want to cross-compile
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS="" ; LIBDIRSUFFIX=""
+ ;;
+ powerpc)
+ SLKCFLAGS="-O2"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+ x86_64)
+ SLKCFLAGS="-O2 -fPIC"
+ SLKLDFLAGS="-L/usr/lib64" ; LIBDIRSUFFIX="64"
+ ;;
+ athlon-xp)
+ SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
+ SLKLDFLAGS=""; LIBDIRSUFFIX=""
+ ;;
+esac
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xfvz $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Apply patch to fix currently unfixed bug
+# This has been fixed in SVN, but has not been applied to a release.
+# And no releases have been made for quite some time. So...
+patch -p1 < $CWD/$PRGNAM-$VERSION-glib.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-gnu-ld \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Strip binaries and libraries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/moodbar/moodbar.info b/audio/moodbar/moodbar.info
new file mode 100644
index 0000000000..4f613e27e9
--- /dev/null
+++ b/audio/moodbar/moodbar.info
@@ -0,0 +1,8 @@
+PRGNAM="moodbar"
+VERSION="0.1.2"
+HOMEPAGE="http://amarok.kde.org/wiki/Moodbar"
+DOWNLOAD="http://pwsp.net/~qbob/moodbar-0.1.2.tar.gz"
+MD5SUM="28c8eb65e83b30f71b84be4fab949360"
+MAINTAINER="Andrew Psaltis"
+EMAIL="ampsaltis@gmail.com"
+APPROVED="Erik Hanson"
diff --git a/audio/moodbar/slack-desc b/audio/moodbar/slack-desc
new file mode 100644
index 0000000000..c4a3763687
--- /dev/null
+++ b/audio/moodbar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+moodbar: moodbar (amarok moodbar plugin)
+moodbar:
+moodbar: This package provides moodbar functionality for Amarok. It is written
+moodbar: as a plugin for GStreamer. It attempts to provide a visual
+moodbar: representation of your music so that you can pinpoint where you can
+moodbar: find something "interesting."
+moodbar:
+moodbar:
+moodbar: For more information, check out http://amarok.kde.org/wiki/Moodbar
+moodbar:
+moodbar: